#!/bin/sh
# Output the newest available kernel version fron vzkernel-devel.
# If vzkernel-devel is not installed, output "current", so the SRPM will be
# kpatch-kmod-current in that case. This might make the build system
# happier.

if rpm -qi vzkernel-devel > /dev/null 2>&1; then
	rpm -q --qf '%{VERSION}-%{RELEASE}\n' vzkernel-devel | sort -V -r | head -n 1
else
	echo "current"
fi
